relay_open
Prev | relay interface | Next

## Name

relay_open — create a new relay channel

## Synopsis

`struct rchan * relay_open (` | const char * | base_filename,
| struct dentry * | parent,
| size_t | subbuf_size,
| size_t | n_subbufs,
| struct rchan_callbacks * | cb,
| void * | private_data`)`;

## Arguments

`base_filename`

  base name of files to create

`parent`

  dentry of parent directory, `NULL` for root directory

`subbuf_size`

  size of sub-buffers

`n_subbufs`

  number of sub-buffers

`cb`

  client callback functions

`private_data`

  user-defined data

## Description

Returns channel pointer if successful, `NULL` otherwise.

Creates a channel buffer for each cpu using the sizes and attributes specified. The created channel buffer files will be named base_filename0...base_filenameN-1. File permissions will be `S_IRUSR`.

Prev | Up | Next
relay_reset | Home | relay_switch_subbuf